QGIS Application - Feature request #3623
Implement comparison operators in the field calculator
2011-03-15 03:41 PM - Borys Jurgiel

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 13682
Description

Seem the field calculator still misses comparision/conditional operators, though they're listed in help.

History

#1 - 2011-03-22 05:05 PM - Werner Macho

took out the not working functions - jef suggested it to be moved to query builder help file which has to be written .. have only a scratch version here ..

i guess functions have to be implemented .. something for 1.8?

#2 - 2011-12-16 01:48 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Veersion 1.7.4

#3 - 2012-04-15 10:11 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-04-18 12:53 AM - Jiirgen Fischer
- Pull Request or Patch supplied set to No

- Subject changed from Implemet comparison operators in the field calculator to Implement comparison operators in the field calculator

#5 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have
#6 - 2015-11-10 06:04 AM - Médéric RIBREUX

- % Done changed from 0 to 100

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Hello, bug triage...

in QGIS 2.13 master, there are the following comparison operators in expressions (so in field calculator): IN, LIKE, ILIKE, <, >, <=, >=, =, IS. Those
operators can be used with conditionnals functions: CASE/WHEN, if and regexp_match.

| am closing this feature request.
